// Imports
@use "variables" as var;

// Actual Styling
:host {
  width: 100%;

  @media (min-width: var.$breakpoint-desktop) {
    width: auto;
  }
}

.mobile-formats-menu-open {
  display: none;
}

#formats-export-menu {
  background-color: white;

  @media (min-width: var.$breakpoint-desktop) {
    border-top: 1px solid var(--background-open-blue-france);
    box-shadow: 0 4px 12px var(--shadow-color);
  }

  p,
  li {
    padding: var.$default-padding 12px;
    margin: 0;
    border-bottom: thin solid var(--grey-900-175);

    @media (min-width: var.$breakpoint-desktop) {
      padding: var.$mini-padding 12px;
    }
  }

  p {
    color: var(--text-title-grey);
  }

  ul {
    padding: 0;
    margin: 0;
    list-style: none;
  }

  li {
    cursor: pointer;
    color: var(--light-text-action-high-blue-france, #000091);
    font-weight: 500;

    &:last-child {
      border-bottom: none;
    }
  }
}

.downloading-label {
  color: var(--text-mention-grey);
  font-weight: 500;

  @media (min-width: var.$breakpoint-desktop) {
    font-size: 14px;
  }
}

#download-ready-display {
  display: flex;
  flex-direction: column;
  align-items: center;

  p {
    color: black;
    margin-bottom: 12px;

    @media (min-width: var.$breakpoint-desktop) {
      display: none;
    }
  }
}
